Cloady Docs
API ReferenceEndpointsPlatform

Look up a public Docker image and the one-service compose file that runs it. Public: no token needed

Reads Docker Hub, ghcr.io, quay.io, gcr.io, public.ecr.aws, mcr.microsoft.com, registry.gitlab.com and lscr.io only. `image` is null when the image is not found.

GET
/api/registry

Query Parameters

ref*string
Lengthlength <= 255

Response Body

application/json

curl -X GET "https://example.com/api/registry?ref=string"
{  "image": {    "ref": "string",    "compose": "string",    "template": {      "services": {        "property1": {          "image": "string",          "build": "string",          "entrypoint": "string",          "command": "string",          "environment": {            "property1": "string",            "property2": "string"          },          "env_file": ".env",          "ports": [            1          ],          "expose": [            1          ],          "volumes": [            "string"          ],          "healthcheck": {            "test": "string",            "interval": "string",            "timeout": "string",            "start_period": "string",            "retries": 1,            "disable": true          },          "configs": [            "string"          ],          "depends_on": [            "string"          ],          "deploy": {            "replicas": 0,            "resources": {              "reservations": {                "cpus": 0,                "memory": 0              },              "limits": {                "cpus": 0,                "memory": 0              }            }          },          "profiles": [            "string"          ]        },        "property2": {          "image": "string",          "build": "string",          "entrypoint": "string",          "command": "string",          "environment": {            "property1": "string",            "property2": "string"          },          "env_file": ".env",          "ports": [            1          ],          "expose": [            1          ],          "volumes": [            "string"          ],          "healthcheck": {            "test": "string",            "interval": "string",            "timeout": "string",            "start_period": "string",            "retries": 1,            "disable": true          },          "configs": [            "string"          ],          "depends_on": [            "string"          ],          "deploy": {            "replicas": 0,            "resources": {              "reservations": {                "cpus": 0,                "memory": 0              },              "limits": {                "cpus": 0,                "memory": 0              }            }          },          "profiles": [            "string"          ]        }      },      "volumes": {        "property1": null,        "property2": null      },      "configs": {        "property1": {          "content": "string",          "file": "string"        },        "property2": {          "content": "string",          "file": "string"        }      }    }  }}